### Method

# Shumate Scale set_viewport

#### Declaration [src]

    void
    shumate_scale_set_viewport (
      ShumateScale* scale,
      ShumateViewport* viewport
    )

#### Description [src]

Sets the scale viewport.

Sets property | `Shumate.Scale:viewport`

#### Parameters

`viewport`

  Type: `ShumateViewport`

  A `ShumateViewport`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.